WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced Permission System

— Add-on al WorldWideScripts.net

Abonu al nia feed resti ĝisdata!

Nova! Sekvu nin kiel vi deziras gxin!


Advanced Permission System - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Sekvu Envato Watch Video antaŭvido

Ĝisdatigita al Versio 1.2

La Altnivela Permeso Sistemo (APS) permesas certigi vian retejon aŭ partojn de ĝi.

Vi povas protekti via retejo kun aldono nur du linioj de kodo en la paĝo, kiun vi volas protekti.
Vi povas atingi ajnan paĝo kaj kontroli la aliron de intuicia kaj uzanto amika administrado panelo.
Vi povas registriĝi senlima uzanto kontoj kaj krei senliman grupoj kun malsamaj permesojn.

La sistemo estas bazita sur grupoj permesojn. Vi povas enskribi uzantojn kaj aldoni ilin al grupoj. Se uzanto deziras konsenti protektita paĝo li petos ensaluti. Se lia konto estas aktiva kaj estas almenaŭ en unu grupo kun permeso aliri la aktuala paĝo li vidos la enhavon protektita, alie li vidos erarmesagxon.

Jen malgranda skemo / ekzemplo de kio la sistemo faras:

TEVIOR PROTEKTO LLOR GRUPOJ PERMISSIONS paĝaro

Karakterizaĵoj

  • Senlima paĝoj protekti
  • Senlima uzantoj registri
  • Senlima grupoj aldoni
  • Tri tipoj de rakontas de uzanto (súper administranto, administrantoj kaj regulaj uzantoj)
  • Aktivigita, ne aktivigis kaj malpermesis konton statoj
  • Defaŭlta reveno URL post ensaluto
  • Propra reveni URL por ĉiu paĝo
  • Propra erarmesaĝo
  • Uzanto mem-registra (nedeviga, se ebligita en configs)
  • Perdis pasvorton
  • Intuicia kaj uzanto amika administrado panelo
  • Objektema administrado panelo
  • Instalilo rete

Postuloj

La sistemo postulas PHP 5. * kaj MySQL 5. * kuri.

Changelog

  • 1.2.1
    • Fix: typo en la instalilo kreas erara konstanto en dosiero config.php kun nomo DEFAULT_DEFAULT_RETURN_URL anstataŭ DEFAULT_RETURN_URL
  • 1.2
    • Actualización: Windows serviloj kongruo
    • Fix: Fixed kongruo problemo inter diversaj servilo setups por php eĥo funkcio
    • Aldonita: Perdita pasvorto funcionalidad
    • Aldonita: Uzantoj self enskriboj
    • Aldonita: Multi ensaluto protekto (malebligi multnombraj uzantoj ensaluti unu konton samtempe)
    • Aldonita: Datumbazo Updater al versio 1.2. Ĝisdatigi vian datumbazon vi devas alŝuti dosierujo ĝisdatigo kaj malfermu ĝin en via retumilo (Ekzemplo: Iri al www.domain.com/aps/update
    • Aldonita: config-example.php - bone dokumentita ekzemplo agorda dosiero
  • 1.1
    • Aldonita: Inline ensaluto formo (povas protekti parton de via retpaĝo)
    • Actualización: Unua Admin uzanto (de instalilo) estas súper Admin
    • Actualización: Admin ne povas ŝanĝi aliajn Admin statuso
    • Actualización: Admin ne povas aldoni Admin uzanto
    • Actualización: Admin ne povas forviŝi Admin uzanto
    • Actualización: Nur súper Admin povas aldoni kaj forigi Admin uzantoj
    • Actualización: Nur súper Admin povas ŝanĝi Admin statuso
    • Actualización: Konto statuso de admin kaj súper Admin Ne gravas por ensaluto
    • Actualización: Plibonigita kodo logiko
  • 1.0 - Komenca versio

Elŝuti
Aliaj komponantoj en ĉi tiu kategorioĈiuj komponantoj de tiu aŭtoro
KomentojOftaj demandoj kaj respondoj

Propraĵoj

Kreita:
24 marto 12

Last Update:
N / A

Alta Rezolucio:
Ne, Kongrua Browsers

Ŝlosilvortoj

eCommerce, eCommerce, Ĉiuj Eroj, aliro, kontoj, antaŭeniris, kontrolo, grupoj, seruro, paĝoj, permeso, sekureco, sistemo, uzantoj